CHROOTUID(1)

NAME
chrootuid - run command in restricted environment

SYNOPSIS
chrootuid [-i] newroot newuser command...

DESCRIPTION
The chrootuid command sets up a restricted environment for executing command. Access to the file system is restricted to the newroot subtree; privileges are restricted to those of the newuser account (which must be a known account in the unrestricted environment). The initial working directory is changed to newroot.

chrootuid combines chroot(8) and su(1) into one program, so that there is no need to have commands such as /usr/bin/su in the restricted environment.

Only the superuser can use the chrootuid command.

OPTIONS
There is only one option for chrootuid: -i. That option makes it run in interactive mode. Errors will be printed on stderr instead of through syslog and the exit status will be 1 if there are any errors.

RETURN CODES
The exit status of chrootuid when running on daemon mode (default) is always 0.

If it is running on interactive mode, it will exit with an exit status of 1 if there is any error in its invocation, otherwise the exit status is the exit status of command.

DIAGNOSTICS
Problems are reported to the syslog daemon if running on daemon mode. If running on interactive mode, errors are reported on stderr.

SEE ALSO
chroot(8), su(1)

AUTHOR(S)
Wietse Venema
Eindhoven University of Technology
Department of Mathematics and Computer Science
Den Dolech 2, P.O. Box 513, 5600 MB Eindhoven, The Netherlands

IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA

CREATION DATE
Tue Oct 13 11:37:29 MET 1992

LAST MODIFICATION
Mon May 20 22:49:02 CEST 2007

VERSION/RELEASE
1.3